clan::VertexArrayBuffer Class Reference - ClanLib SDK
Description: clan::VertexArrayBuffer Class Reference

Public Member Functions | List of all members
clan::VertexArrayBuffer Class Reference
clanDisplay Display

Vertex Array Buffer. More...

`#include <vertex_array_buffer.h>`

Inheritance diagram for clan::VertexArrayBuffer:

## Public Member Functions
| VertexArrayBuffer ()
| Constructs a null instance.
| VertexArrayBuffer (GraphicContext &gc, const void *data, int size, BufferUsage usage=BufferUsage::static_draw)
| Constructs a VertexArrayBuffer.
| VertexArrayBuffer (GraphicContext &gc, int size, BufferUsage usage=BufferUsage::static_draw)
| Constructs a VertexArrayBuffer.
virtual | ~VertexArrayBuffer ()
void | copy_from (GraphicContext &gc, TransferBuffer &buffer, int dest_pos=0, int src_pos=0, int size=-1)
| Copies data from transfer buffer.
void | copy_to (GraphicContext &gc, TransferBuffer &buffer, int dest_pos=0, int src_pos=0, int size=-1)
| Copies data to transfer buffer.
VertexArrayBufferProvider * | get_provider () const
| Get Provider.
bool | is_null () const
| Returns true if this object is invalid.
| operator bool () const
bool | operator== (const VertexArrayBuffer &other) const
| Handle comparison operator.
void | throw_if_null () const
| Throw an exception if this object is invalid.
void | upload_data (GraphicContext &gc, int offset, const void *data, int size)
| Uploads data to vertex array buffer.

## Detailed Description

Vertex Array Buffer.

## Constructor & Destructor Documentation

## ◆ VertexArrayBuffer() [1/3]

clan::VertexArrayBuffer::VertexArrayBuffer | ( |  | ) |

Constructs a null instance.

## ◆ VertexArrayBuffer() [2/3]

clan::VertexArrayBuffer::VertexArrayBuffer | ( | GraphicContext & | gc,
|  | int | size,
|  | BufferUsage | usage = BufferUsage::static_draw )

Constructs a VertexArrayBuffer.

Parameters

  gc | = Graphic Context
  size | = value
  usage | = Buffer Usage

## ◆ VertexArrayBuffer() [3/3]

clan::VertexArrayBuffer::VertexArrayBuffer | ( | GraphicContext & | gc,
|  | const void * | data,
|  | int | size,
|  | BufferUsage | usage = BufferUsage::static_draw )

Constructs a VertexArrayBuffer.

Parameters

  gc | = Graphic Context
  data | = void
  size | = value
  usage | = Buffer Usage

## ◆ ~VertexArrayBuffer()

virtual clan::VertexArrayBuffer::~VertexArrayBuffer | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ copy_from()

void clan::VertexArrayBuffer::copy_from | ( | GraphicContext & | gc,
|  | TransferBuffer & | buffer,
|  | int | dest_pos = 0,
|  | int | src_pos = 0,
|  | int | size = -1 )

Copies data from transfer buffer.

Referenced by clan::VertexArrayVector< Type >::copy_from().

## ◆ copy_to()

void clan::VertexArrayBuffer::copy_to | ( | GraphicContext & | gc,
|  | TransferBuffer & | buffer,
|  | int | dest_pos = 0,
|  | int | src_pos = 0,
|  | int | size = -1 )

Copies data to transfer buffer.

Referenced by clan::VertexArrayVector< Type >::copy_to().

## ◆ get_provider()

VertexArrayBufferProvider * clan::VertexArrayBuffer::get_provider | ( |  | ) | const

Get Provider.

Returns
  provider

## ◆ is_null()

bool clan::VertexArrayBuffer::is_null | ( |  | ) | const
| inline

Returns true if this object is invalid.

## ◆ operator bool()

clan::VertexArrayBuffer::operator bool | ( |  | ) | const
| inlineexplicit

## ◆ operator==()

bool clan::VertexArrayBuffer::operator== | ( | const VertexArrayBuffer & | other | ) | const

Handle comparison operator.

## ◆ throw_if_null()

void clan::VertexArrayBuffer::throw_if_null | ( |  | ) | const

Throw an exception if this object is invalid.

## ◆ upload_data()

void clan::VertexArrayBuffer::upload_data | ( | GraphicContext & | gc,
|  | int | offset,
|  | const void * | data,
|  | int | size )

Uploads data to vertex array buffer.

Referenced by clan::VertexArrayVector< Type >::upload_data(), and clan::VertexArrayVector< Type >::upload_data().

The documentation for this class was generated from the following file:

- vertex_array_buffer.h